Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2153 - Bind queries root nameservers on high ports
Summary: Bind queries root nameservers on high ports
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bind
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-12 22:17 UTC by rbharani
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-09-02 16:58:11 UTC


Attachments (Terms of Use)

Description rbharani 1999-04-12 22:17:20 UTC
Greetings,

I believe this to be the case with both bind 8 and bind 4,
when running as a caching nameserver.

Linux defaults to using high ports when querying the root
nameservers, as described in the DNS HOWTO.   The problem
comes when Linux boxes are behind firewalls that deny
connectionless traffic on high ports from the outside - in
other words, the firewalls filter out the DNS response from
the root nameservers.

Other operating systems (other *nixes too) make these
queries via UDP to and from 53.   This issue is causing us
some problems in my enterprise, due to the supurrious
firewall hits we're getting.

Can the default behavior please be modified such that these
queries go out on UDP 53.  Thanks!

Comment 1 Jeff Johnson 1999-09-02 16:58:59 UTC
This isn't going to be fixed in Red Hat 6.1. I'm preserving the
report by resolving to REMIND.


Note You need to log in before you can comment on or make changes to this bug.